GCLOUD_DEPLOYMENT-MANAGER_RESOURCES_LIST(1)

NAME

gcloud deployment-manager resources list - list resources in a deployment

SYNOPSIS

gcloud deployment-manager resources list [--deployment=DEPLOYMENT] [--simple-list] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [--uri] [GLOBAL-FLAG ...]

DESCRIPTION
Prints a table with summary information on all resources in the deployment.

FLAGS

    --deployment=DEPLOYMENT
        Deployment name

    --simple-list
        Changes the --format flag to print the resource IDs. Otherwise either the --format value or the default format is used.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To print out a list of resources in the deployment with some summary information about each, run:
    $ gcloud deployment-manager resources list --deployment my-deployment
To print only the name of each resource, run:
    $ gcloud deployment-manager resources list \
        --deployment my-deployment --simple-list